﻿@model WebApp.ViewModels.RegisterModel

@{
    ViewBag.Title = "Register";
}

<h2>Register</h2>

@using (Html.BeginForm("Register", "Account", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(false)

    <div class="form-group">
        @Html.Label("Email:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.Email, new { @type = "email", @class = "form-control", required = "required"})
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Year of birth:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.Year, new { @type = "number", @class = "form-control", required = "required" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Password:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.Password, new { @type = "password", @class = "form-control", required = "required" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Confirm password:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.ConfirmPassword, new { @type = "password", @class = "form-control", required = "required" })
        </div>
    </div>

    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-primary">Register</button>
        </div>
    </div>
}
